## Function (function spec)

There is a series of functions (function spec) that can be applied to a value (row) as an argument and supply a result. These functions (predefined and user defined) and their calls are introduced in the following sections.

### Syntax

<function_spec> ::=
<arithmetic_function>
| <trigonometric_function>
| <string_function>
| <date_function>
| <time_function>
| <extraction_function>
| <special_function>
| <conversion_function>
| <dbfunction_call>

### Examples

SQL Tutorial, Functions

### Explanation

The arguments and results of the functions are numeric, alphanumeric or Boolean values that are subject to certain restrictions. LONG columns are not allowed as arguments, with the exception of those explicitly stated.

See also:

Functions: Overview